//****************************************************************************
//                    Copyright (C) 1992-1995 EuroSource AB
//
// FILE:         vb1.h
//   
// PURPOSE:      Header file for HLINE subclass EuroCtrl project
//   
// COMMENTS:     
//   
// HISTORY:      920525AH Prehistory
//   
//****************************************************************************                    




#ifndef RC_INVOKED
//---------------------------------------------------------------------------
// Property list
//---------------------------------------------------------------------------


PPROPINFO proplistHline_Vb1[] =
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_ENABLED,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_MOUSEPOINTER,
    &propinfoHlineLine3DStyle,
    PPROPINFO_STD_FORECOLOR,
    &Property_Hline_About,            
    &propinfoHlineLineStyle,
    &propinfoHlineLineWidth,
    &propinfoHlinehWnd,
    NULL
};


//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------

PEVENTINFO eventlistHline_Vb1[] =
{
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,
    NULL
};


//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------
// Define the control model (using the event and property structures).
//---------------------------------------------------------------------------

MODEL modelHline_Vb1 =
{
    VB100_VERSION,                 // VB version being used
    MODEL_fDesInteract | MODEL_fFocusOk | MODEL_fChildrenOk,          // MODEL flags
    (PCTLPROC)HlineCtlProc,     // Control procedure
    CS_VREDRAW | CS_HREDRAW,    // Class style
    NULL,                 		// Default Window style
    sizeof(HLINE),              // cbCtlExtra for HLINE structure
    IDBMP_HLINE,                // Palette bitmap ID
    "EsHLine",		       		// Default control name
    "EsHline",		       		// Visual Basic class name
    NULL,                   	// Parent class name
    proplistHline_Vb1,          // Properties list
    eventlistHline_Vb1,         // Events list
	IPROP_HLINE_LINEWIDTH,		// default property in code window
	EVENT_HLINE_DRAGDROP,		// default event in code window
};

LPMODEL modellistHline_Vb1[] =
    {
    &modelHline_Vb1,
    NULL
    };

MODELINFO modelinfoHline_Vb1 =
    {
    VB100_VERSION, 			// VB version being used
    modellistHline_Vb1		// MODEL list
    };

#endif  // RC_INVOKED
